// =========================== MSP430F2xxx Ŭ  α׷ =================
//  CPU : MSP430F2012
//     ¥ : 2008-
//      : Ver1.0
//    : www.cpuplaza.com
// Ϸ : IAR-MSP430
// [ ]  : ACLK : 32.768Khz
//            MCLK : DCO(16MHz)
//            SMCLK: DCO(16MHz)
// ----------------------------------------------------------------------------
// ⺻ 
#include "msp430x20x2.h"
#include <stdio.h>

// Լ 

//  

// ===============================  α׷ ==============================
// [μ]: void
// []: P1.0 : ACLK  Output
//         P1.1 : PULSE Output
//         P1.4 : SMCLK Output
// ---------------------------------------------------------------------------
int main(void)
{
unsigned dly;
	
	WDTCTL = WDTPW + WDTHOLD;				// Init watchdog timer(stop)
	for(dly = 0; dly < 0x4000U; dly++) ;			// XTAL  ð 
// 1MHZ  : CALBC1_1MHZ,  CALDCO_1MHZ
// 8MHZ  : CALBC1_8MHZ,  CALDCO_8MHZ
// 12MHZ : CALBC1_12MHZ, CALDCO_12MHZ
// 16MHZ : CALBC1_16MHZ, CALDCO_16MHZ
	BCSCTL1 = CALBC1_16MHZ;					// Set range(0x10f9)
	DCOCTL = CALDCO_16MHZ;					// Set DCO step + modulation(0x10f8)

	P1DIR |= 0x13;						// P1.0 and P1.1 outputs
	P1SEL |= 0x11;						// P1.4 SMCLK output
	while(1){
		P1OUT ^= 0x02;					// Toggle P1.1
	}
}
