// ========================== MSP430F2xxx Ʈ  α׷ ==================
//  CPU : MSP430F2012
//     ¥ : 2008-
//      : Ver1.0
//    : www.cpuplaza.com
// Ϸ : IAR-MSP430
// [ ]  : ACLK : 32.768Khz
//            MCLK : DCO(16MHz)
//            SMCLK: DCO(16MHz)
// ----------------------------------------------------------------------------
// ⺻ 
#include "msp430x20x2.h"
#include <stdio.h>

// Լ 


//  

// ===============================  α׷ ==============================
// [μ]: void
// []: P1.0-7 : ALL Output
//          1 0 
// ---------------------------------------------------------------------------
int main(void)
{
unsigned datau = 0x0001;
long dly;

	WDTCTL = WDTPW + WDTHOLD;				// Init watchdog timer(stop)
	for(dly = 0; dly < 0x4000; dly++) ;			// XTAL  ð 
// 1MHZ  : CALBC1_1MHZ,  CALDCO_1MHZ
// 8MHZ  : CALBC1_8MHZ,  CALDCO_8MHZ
// 12MHZ : CALBC1_12MHZ, CALDCO_12MHZ
// 16MHZ : CALBC1_16MHZ, CALDCO_16MHZ
	BCSCTL1 = CALBC1_16MHZ;					// Set range(0x10f9)
	DCOCTL = CALDCO_16MHZ;					// Set DCO step + modulation(0x10f8)

	P1DIR = 0xff;						// Port1 All  Output
	while(1){
		P1OUT = ~datau & 0xff;				// PORT1 Out  8Bit
		for(dly = 0; dly < 1290000; dly++);		// delay 504ms
		datau = datau << 1;				//  Ʈ << 1
		if(datau & 0x100) datau = 0x0001;
	}
}
